from pathlib import Path
import os
import logging

def get_project_root() -> Path:
    """Returns project root folder."""
    # Check if we're executed inside GitLab CI, 
    # see https://docs.gitlab.com/ee/ci/variables/predefined_variables.html
    ci_project_dir = os.getenv("CI_PROJECT_DIR")
    if ci_project_dir == None:
      # Not executed inside CI  
      project_path =  Path(__file__).parent.parent
    else:
      project_path =  Path(ci_project_dir)
    
    logging.info(f"Setting Project Path to {project_path}")
    return project_path
