from sklearn.preprocessing import MultiLabelBinarizer
from lifedataphysionetchallenge.util import snomed

def get_binarizer():
    """
    Since we need to predict multiple labels at the same time, OneHotEncoding isn't sufficient
    and we need a MultiLabelBinarizer. The snomed_code_list contains all SNOMED CT IDs
    Fitting the mlb on this list allows transforming any list of IDs into a vector of 1s, & 0s
    see https://scikit-learn.org/stable/modules/generated/sklearn.preprocessing.MultiLabelBinarizer.html
    """
    mlb = MultiLabelBinarizer()
    mlb.fit([snomed.get_snomed_code_list().tolist()])
    return mlb